local mod = ...



-- Default Balancing (event list) ---------------------------------------------------------------------------------------------

mod:overrideAsset({
    Id = "DEFAULT_BALANCING",
    EventList = {
        Action = "APPEND",
        "EVENT_SECURITY_START",
        "EVENT_SECURITY_CRIME",
    }
})



-- Event: Start ---------------------------------------------------------------------------------------------

mod:registerAsset({
	DataType = "EVENT",
    Id = "EVENT_SECURITY_START",
    IsInMainPool = false, -- the main pool seems to suppress itself until the first Weather event fires, so custom events should be outside the main pool
    IsRecurrent = false,
    DaysBetweenOccurences = nil,
    DaysToFirst = 1,
    Delay = 10,
	ConditionList = {
		{
            DataType = "GAME_CONDITION_VILLAGER_STATUS_REACHED",
            AssetVillagerStatus = "NEWCOMER",
            NumberRequired = MinPopUnlock()
		}
	},
	ActionList = {
        {
            DataType = "ACTION_SHOW_NARRATIVE_PANEL",
            NarrativePanelData = {
                DataType = "DATA_NARRATIVE_PANEL",
                Title = "EVENT_SECURITY_START_TITLE",
                Description = "EVENT_SECURITY_START_DESC",
                PanelVisual = "ILLUSTRATION_EVENT_WAR",
            },
            ChoiceList = {
                {
                    DataType = "EVENT_CHOICE",
                    ShortName = "EVENT_SECURITY_OK",
                    EventActionList = {
                        {
                            DataType = "EVENT_ACTION_IGNORE"
                        },
                    },
                }
            },
        }
    }
})



-- Event: Crime ---------------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "EVENT",
    Id = "EVENT_SECURITY_CRIME",
    IsInMainPool = false, -- the main pool seems to suppress itself until the first Weather event fires, so custom events should be outside the main pool
    IsRecurrent = false,
    DaysBetweenOccurences = nil,
    DaysToFirst = 1,
    Delay = 10,
	ConditionList = {
		{
            DataType = "GAME_CONDITION_VILLAGER_STATUS_REACHED",
            AssetVillagerStatus = "NEWCOMER",
            NumberRequired = MinPopCrime()
		}
	},
	ActionList = {
        {
            DataType = "ACTION_SHOW_NARRATIVE_PANEL",
            NarrativePanelData = {
                DataType = "DATA_NARRATIVE_PANEL",
                Title = "EVENT_SECURITY_CRIME_TITLE",
                Description = "EVENT_SECURITY_CRIME_DESC",
                PanelVisual = "ILLUSTRATION_EVENT_WAR",
            },
            ChoiceList = {
                {
                    DataType = "EVENT_CHOICE",
                    ShortName = "EVENT_SECURITY_OK",
                    EventActionList = {
                        {
                            DataType = "EVENT_ACTION_IGNORE"
                        },
                    },
                }
            },
        }
    }
})

